Skip to main content
GET
/
v1
/
custom-harnesses
/
{harness_id}
/
prompts
Get Custom Harness Prompts
curl --request GET \
  --url https://api.example.com/v1/custom-harnesses/{harness_id}/prompts
{
  "count": 123,
  "prompts": [
    {
      "dimension_name": "<string>",
      "prompt_text": "<string>",
      "pass_criteria": "<string>",
      "lineage": {
        "principle": "",
        "theme": "",
        "policy_section": "",
        "persona": "",
        "diagnostic_hooks": [
          "<string>"
        ]
      }
    }
  ]
}

Path Parameters

harness_id
string<uuid>
required

Query Parameters

team_id
string<uuid> | null

Team ID (required)

Response

Successful Response

Response model for taxonomy prompts from harness_prompts.jsonl (not prompt.jsonl).

count
integer
required
prompts
CustomHarnessPrompt · object[]
Last modified on April 21, 2026